var baseUrl = "https://centrewebsiteapi.resultshq.com.au/api/website/";
var centreguid;// = '79D8A3D2-DD67-41FA-B0E7-1F1B6CDE9717';
var selectedAges = new Array();
var selectedGenders = new Array();
var selectedEvents = new Array();
var filterType;

jQuery(document).ready(function()
{
	centreguid = $('#apikey').val();
    GetCentreEventDates(centreguid);
	GetCentreRecordData(centreguid);
	GetUpcommingEventsData(centreguid);
	GetUpcommingEventsData2(centreguid);
	GetWeeklyProgramsData(centreguid);
	GetCentreDetailsData(centreguid);
	
	$(".btn, .btnAge, .btnGender").click(function (event)
	{
	    var clickTarget = $(this).attr('class');
	    checkSelected(event);
	    getSelected(clickTarget);
	})

	jQuery("#ddlCentre").change(function()
	{
		var centreguid = jQuery(this).val();
		if(jQuery(document).find("#centreRecordHolder").length > 0)
		{
			//can limit them like this... so that the "widget" that contains them is just a div with an id...
			GetCentreRecordData(centreguid);
		}
		 GetUpcommingEventsData(centreguid);
		 GetUpcommingEventsData2(centreguid);
		 GetWeeklyProgramsData(centreguid);
		 GetCentreDetailsData(centreguid);

	})

})
function GetCentreRecordData(centreguid)
{
	var url = baseUrl + "getcentrerecordlist/" + centreguid;
	GetCallData(url, "crt");
}

function GetUpcommingEventsData(centreguid)
{
	var url = baseUrl + "getcentreupcommingevents/" + centreguid;
	GetCallData(url, "ue");
}

function GetUpcommingEventsData2(centreguid)
{
	var url = baseUrl + "getcentreupcommingevents/" + centreguid;
	GetCallData(url, "mue");
}


function GetWeeklyProgramsData(centreguid)
{
	var url = baseUrl + "getcentreweeklyprograms/" + centreguid;
	GetCallData(url, "wp");
}

function GetCentreDetailsData(centreguid)
{
	var url = baseUrl + "getcentrecontactinfo/" + centreguid;
	GetCallData(url, "cd");
}

function GetCentreEventDates(centreguid)
{
    var url = baseUrl + "GetCentreEventDates/" + centreguid;
    GetCallData(url, "ced");
}


function GenerateCRTable(tableData)
{
	jQuery("#centreRecordHolder").html("");
	var tableHeader = "<h3>Centre Records</h3><div class='filterHolder'>By Event: <span id='CRFilterHolderEvent'></span><br /></div><div class='filterHolder'>By Age: <span id='CRFilterHolderAge'></span><br /></div><div class='filterHolder'>By Gender: <span id='CRM' class='genderFilter btn btn-small btn-warning '>Male</span><span id='CRF' class='genderFilter btn btn-small btn-warning '>Female</span><br /></div><div class='filterHolder'><p id='crReset' class='btn btn-warning btn-small btn-warning eventClick resetButton'>Reset</p></div><table id='crTableSortable' class='sortable'><thead><tr><th>Event</th><th>Result</th><th>Record Date</th><th>Name</th><th>Age/Gender</th></tr></thead><tbody>";
	var rowTemplate = "<tr><td class='eventName'>{eventName}</td><td>{recordValue}</td><td>{recordDate}</td><td>{memberName}</td><td class='eventAge eventGender'>{memberAgeGender}</td></tr>";
	var tableFooter = "</tbody></table>";
	var tableContent = "";
	var tableAllres = "";

	for(var i = 0; i<tableData.length; i++)
	{
		var crObject = tableData[i];
		var tempRow = rowTemplate;
		var eventName = crObject.eventName;
		var recordValue = crObject.recordValue;
		var recordDate = crObject.recordDate;
		var memberName = crObject.recordName;
		var memberAgeGender = crObject.recordAgeGender;

		var newRow = tempRow;
		newRow = newRow.replace(/{eventName}/g, eventName);
		newRow = newRow.replace("{recordValue}", recordValue);
		newRow = newRow.replace("{recordDate}", recordDate);
		newRow = newRow.replace("{memberName}", memberName);
		newRow = newRow.replace("{memberAgeGender}", memberAgeGender);
		tableContent += newRow;
	}
	tableAllres += tableHeader + tableContent + tableFooter;
	jQuery("#centreRecordHolder").append(tableAllres);

	GenerateFilterOptions('crTableSortable');
	
	// download the following plugin and uncomment these lines to make tables sortable
	// http://www.kryogenix.org/code/browser/sorttable/
	var sortableTable = document.getElementById('crTableSortable');
	sorttable.makeSortable(sortableTable);
}

function GenerateWPTable(tableData, amount)
{
	var meetDate = tableData.meetDate;
	var eventList = tableData.WPOList;

	jQuery("#weeklyProgramsHolder").html("");
	var tableHeader = "<h3>Weekly Programs - {meetDate}</h3><div class='filterHolder'>By Event: <div id='WPFilterHolderEvent'></div></div><div class='filterHolder'>By Age: <div id='WPFilterHolderAge'></div></div><div class='filterHolder'>By Gender: <span id='WPM' class='genderFilter btn btn-small btn-warning '>Male</span><span id='WPF' class='genderFilter btn btn-small btn-warning '>Female</span></div><div class='filterHolder'><p id='wpReset' class='btn btn-warning btn-small btn-warning eventClick resetButton'>Reset</p></div><table id='wpTableSortable' class='sortable'><thead><tr><th>Event</th><th>Age Group</th><th>Gender</th></tr></thead><tbody>";
	var rowTemplate = "<tr><td class='eventName'>{eventName}</td><td class='eventAge'>{ageGroup}</td><td class='eventGender'>{gender}</td></tr>";
	var tableFooter = "</tbody></table>";
	var tableContent = "";
	var tableAllprog = "";

	tableHeader = tableHeader.replace("{meetDate}", meetDate);

	for(var i = 0; i<eventList.length; i++)
	{
		var wpObject = eventList[i];
		var tempRow = rowTemplate;

		var eventName = wpObject.eventName;
		var ageGroup = wpObject.ageGroup;
		var gender = wpObject.gender;

		var newRow = tempRow;
		newRow = newRow.replace("{eventName}", eventName);
		newRow = newRow.replace("{ageGroup}", ageGroup);
		newRow = newRow.replace("{gender}", gender);
		tableContent += newRow;
		if(i==amount)
		{
			break;
		}
	}

	tableAllprog = tableHeader + tableContent + tableFooter;
	jQuery("#weeklyProgramsHolder").append(tableAllprog);

	GenerateFilterOptions('wpTableSortable');

	// download the following plugin and uncomment these lines to make tables sortable
	// http://www.kryogenix.org/code/browser/sorttable/
	var sortableWPTable = document.getElementById('wpTableSortable');
	sorttable.makeSortable(sortableWPTable);
}



function GenerateMiniUETable(tableData)
{
	var rowTemplate = '<div class="meet"><div class="calendar event_date"> <span class="month">{month}</span> <span class="day">{day}</span> </div> 	<h4 class="meetTitle">{meetName}</h4></div>';
	var tableContent = "";
	jQuery(".sidebarEventsHolder").html("");

	logger(tableData);

	for(var i = 0; i<tableData.length; i++)
	{
		var meetObject = tableData[i];
		var tempRow = rowTemplate;

		var meetName = meetObject.meetName;
		var meetDate = meetObject.meetDate.split(" ");

		var newRow = tempRow;
		newRow = newRow.replace("{month}", meetDate[1]);
		newRow = newRow.replace("{day}", meetDate[0]);
		newRow = newRow.replace("{meetName}", meetName);

		tableContent += newRow;

		if(i==2)
		{
			break;
		}
	}
	jQuery(".sidebarEventsHolder").append(tableContent);
}




function GenerateUETable(tableData)
{
	var rowTemplate = '<div class="meet_list"><div class="meet_date">{day} {month} {year}</div><div class="meet_title">{meetName}</div></div>';
	var tableContent = "";
	jQuery(".upcommingEventsHolder").html("");

	for(var i = 0; i<tableData.length; i++)
	{
		var meetObject = tableData[i];
		var tempRow = rowTemplate;

		var meetName = meetObject.meetName;
		var meetDate = meetObject.meetDate.split(" ");

		var newRow = tempRow;
		newRow = newRow.replace("{year}", meetDate[2]);
		newRow = newRow.replace("{month}", meetDate[1]);
		newRow = newRow.replace("{day}", meetDate[0]);
		newRow = newRow.replace("{meetName}", meetName);

		tableContent += newRow;
	}
	jQuery(".upcommingEventsHolder").append(tableContent);
}

function GenerateCDTable (tableData) 
{
	jQuery(".centreContactNumber").html(tableData.centreContactNumber);
	jQuery(".centreContactEmail").html(tableData.centreContactEmail);
	jQuery(".centreAddressOne").html(tableData.centreAddressLineOne);
	jQuery(".centreAddressTwo").html(tableData.centreAddressLineTwo);
	jQuery(".centrePostcode").html(tableData.centreAddressPostcode);
	jQuery(".centreState").html(tableData.centreAddressState);
}


function GenerateDateList(eventDates)
{
    jQuery("#dateSelectHolder").html("");

    var selectHeader = "<select id='ddlCentreDateList'>";
    var selectFooter = "</select>";
    var completedObject = "";
    
    completedObject += selectHeader;

    for (var i = 0; i < eventDates.length; i++)
    {
    	var datePart = eventDates[i].split('_')[0];
        var namePart = eventDates[i].split('_')[1];

        completedObject += "<option value='" + datePart + "'>" + datePart + ' ' + namePart + "</option>";
    }
    completedObject += selectFooter;
    jQuery("#dateSelectHolder").append(completedObject);
}

function GenerateEventList(eventData)
{
    jQuery("#eventHolder").html("");
    var eventList= "";
    for (var i = 0; i < eventData.length; i++)
    {
        eventList += "<span class='btn btn-warning btnEvent' id='event_" + eventData[i].eventtypeguid + "'>" + eventData[i].shortname + "</span>";
        ////logger(eventData[i].shortname);
    }
    jQuery("#eventHolder").append(eventList);
}

function GenerateEventResultTable(eventData)
{
    jQuery("#eventResultsHolder").html("");
    var tableHeader = "<h3>Event Results</h3><table id='resultsTableSortable' class='table sortable'><thead><tr><th>Club</th><th>#</th><th>Athlete</th><th>Age</th><th>Gender</th><th>Result</th><th>Position</th><th>IsPB</th></tr></thead><tbody>";
    var rowTemplate = "<tr><td class='eventName'>{club}</td><td>{memberNumber}</td><td>{athlete}</td><td>{agegroup}</td><td>{gender}</td><td>{resultValue}</td><td class='eventAge eventGender'>{eventPosition}</td><td class='eventAge eventGender'>{isPB}</td></tr>";
    var tableFooter = "</tbody></table>";
    var tableContent = "";
    var tableAllres = "";

    for (var i = 0; i < eventData.length; i++)
    {
        var resultObject = eventData[i];
        var tempRow = rowTemplate;
        
        var club = resultObject.club;
        var memberNumber = resultObject.membershipnumber;
        var athlete = resultObject.athlete;
        var agegroup = resultObject.agegroup;
        var gender = resultObject.gender;
        var resultValue = resultObject.resultvalue;
        var eventPosition = resultObject.eventposition;
        var isPb = resultObject.ispb;

        var newRow = tempRow;
        newRow = newRow.replace(/{club}/g, club);
        newRow = newRow.replace("{memberNumber}", memberNumber);
        newRow = newRow.replace("{athlete}", athlete);
        newRow = newRow.replace("{agegroup}", agegroup);
        newRow = newRow.replace("{gender}", gender);
        newRow = newRow.replace("{resultValue}", resultValue);
        newRow = newRow.replace("{eventPosition}", eventPosition);
        newRow = newRow.replace("{isPB}", isPb);
        tableContent += newRow;
    }
    tableAllres += tableHeader + tableContent + tableFooter;
    jQuery("#eventResultsHolder").append(tableAllres);

    var sortableTable = document.getElementById('resultsTableSortable');
    sorttable.makeSortable(sortableTable);
}


function GetCallData(url, callType)
{
	var returnObject;
	jQuery.ajax(
	{
		url:url,
		type:'GET',
		datatType:'json',
		//contentType:'json',
		success: function(data)
		{
			try
			{
				returnObject = data;
				//logger(returnObject);
			}
			catch(e)
			{
				logger('Something went wrong: \n' + e);
			}
		}
	}).done(function()
	{
		if(callType == 'crt')
		{
			GenerateCRTable(returnObject, 1000);
		}
		if(callType == 'wp')
		{
			GenerateWPTable(returnObject, 1000);
		}
		if(callType == 'ue')
		{
			GenerateUETable(returnObject);
		}

		if(callType == 'mue')
		{
			GenerateMiniUETable(returnObject);
		}
		if(callType == 'cd')
		{
			GenerateCDTable(returnObject);
		}
if (callType == 'ced')
        {
		    GenerateDateList(returnObject);
		}
	});
}

function GenerateFilterOptions(filterTable)
{
	var tableToFilter = jQuery('#'+filterTable);
	var tableRows = tableToFilter.find('tr');
	var tableLength = tableRows.length;
	
	var tableType = 'CR';
	
	if(filterTable.indexOf('wp')>=0)
	{
		tableType = 'WP';
	}

	var eventNames = new Array();
	var eventNamesUnique = new Array();
	var eventAges = new Array();
	var eventAgesUnique = new Array();

	for(var i = 1; i < tableLength; i++)//skip the first row as it's the header
	{
		var currentRow = tableRows[i];
		var eventName = $(currentRow).find('td')[0];
		var eventAge;

		if(tableType == 'CR')
		{
			eventAge = $(currentRow).find('td')[4];
		}
		else
		{
			eventAge = $(currentRow).find('td')[1];
		}

		eventNames.push($(eventName).text());

		if(tableType == 'CR')
		{
			eventAges.push($(eventAge).text().split('/')[0]);
		}
		else
		{
			eventAges.push($(eventAge).text());
		}

		eventNames = eventNames.filter(function(itm, i, events)
	    {
	        return i==events.indexOf(itm);
	    });

	    eventAges = eventAges.filter(function(itm, i, eventAG)
	    {
	        return i==eventAG.indexOf(itm);
	    });

	    eventAges.sort(function(a,b){return a-b});
	}

	for(var j = 0; j<eventNames.length; j++)
	{
		var thisEvent = eventNames[j];
    
        var filterButton = '<span class="btn btn-small btn-warning eventClick" id="' +thisEvent+tableType+'">'+thisEvent+'</span>';
        $('#'+tableType+'FilterHolderEvent').append(filterButton);
	}

	for(var j = 0; j<eventAges.length; j++)
	{
		var thisAge = eventAges[j];
    
        var filterButton = '<span class="btn btn-small btn-warning ageClick" id="' +thisAge+tableType+'">'+thisAge+'</span>';
        $('#'+tableType+'FilterHolderAge').append(filterButton); 
	}
}



//generate arrays of selected values for age/gender/event
function getSelected(clickTarget)
{
	logger(clickTarget);
    var ageButtons = $(document).find('.btnAge');
    var genderButtons = $(document).find('.btnGender');
    var eventButtons = $(document).find('.btnEvent');

    var ageArray = [];
    var genderArray = [];
    var eventArray = [];
    var meetDate = $("#ddlCentreDateList").val();

    for (var i = 0; i < ageButtons.length; i++)
    {
        var targetElement = ageButtons[i];
        if ($(targetElement).hasClass('active'))
        {
            ageArray.push($(targetElement).attr('id').split('_')[1]);
        }
    }

    for (var i = 0; i < genderButtons.length; i++)
    {
        var targetElement = genderButtons[i];
        if ($(targetElement).hasClass('active'))
        {
            genderArray.push($(targetElement).attr('id').split('_')[1]);
        }
    }

    //hide event buttons, clear event list
    if (clickTarget.indexOf('Event') < 0)
    {
        for (var i = 0; i < eventButtons.length; i++)
        {
            var targetElement = eventButtons[i];
            if ($(targetElement).hasClass('active'))
            {
                $(targetElement).removeClass('active');
            }
        }
        jQuery("#eventResultsHolder").html("");
    }

    for (var i = 0; i < eventButtons.length; i++)
    {
        var targetElement = eventButtons[i];
        if ($(targetElement).hasClass('active'))
        {
            eventArray.push($(targetElement).attr('id').split('_')[1]);
        }
    }

    GetEventData(ageArray, genderArray, eventArray, meetDate, clickTarget);

    //buildURL(ageArray, genderArray, eventGuid, meetDate);
}

//add/remove the acive status of buttons, making them appear selected
function checkSelected(event)
{
    var targetElement = $(event.target);
    var eventButtons = $(document).find('.btnEvent');

    if (targetElement.hasClass('btnEvent'))
    {
        for (var i = 0; i < eventButtons.length; i++)
        {
            $(eventButtons[i]).removeClass('active');
        }
    }

    if (targetElement.hasClass('active'))
    {
        targetElement.removeClass('active');
    }
    else
    {
        targetElement.addClass('active');
    }
}

function GetEventData(ageArray, genderArray, eventArray, meetDate, clickTarget)
{
    var ageList = "";
    var genderList = "";
    var eventList = "";

    var ageOk = false;
    var genderOk = false;
    var eventOk = false;
    var dateOk = false;

    logger(ageArray);
    logger(genderArray);
    logger(eventArray);


    if (meetDate)
    {
        dateOk = true;
    }

    var ageCount = 0;
    for (var i = 0; i < ageArray.length; i++)
    {
        if (ageCount != (ageArray.length - 1))
        {
            ageList += ageArray[i] + ",";
        }
        else
        {
            ageList += ageArray[i];
        }

        ageCount++;

        if (ageList != "")
        {
            ageOk = true;
        }
    }

    var genderCount = 0;
    for (var i = 0; i < genderArray.length; i++)
    {
        if (genderCount != (genderArray.length - 1))
        {
            genderList += genderArray[i] + ",";
        }
        else
        {
            genderList += genderArray[i];
        }

        genderCount++;

        if (genderList != "")
        {
            genderOk = true;
        }
    }

    var eventCount = 0;
    for (var i = 0; i < eventArray.length; i++)
    {
        if (eventCount != (eventArray.length - 1))
        {
            eventList += eventArray[i] + ",";
        }
        else
        {
            eventList += eventArray[i];
        }

        eventCount++;

        if (eventList != "")
        {
            eventOk = true;
        }
    }

    //if it's not an event button
    if (clickTarget.indexOf('Event') < 0)
    {
        if (ageOk && genderOk && dateOk)
        {
            var sendObject =
                {
                    centreguid: centreguid,
                    eventdate: meetDate,
                    agegroup: ageList,
                    gender: genderList
                };
            $.ajax({
                type: "POST",
                contentType: "application/json",
			url: baseUrl + "GetEventNamesByDate/",
			data: JSON.stringify(sendObject),
                success: function (data)
                {
                    GenerateEventList(data);
                }
            });
        }
    }
    

    if (ageOk && genderOk && eventOk && dateOk)
    {
        var sendObject =
            {
                centreguid: centreguid,
                eventdate: meetDate,
                agegroup: ageList,
                gender: genderList,
                eventtype: eventList
            };
        $.ajax({
            type: "POST",
            contentType: "application/json",
			url: baseUrl + "GetEventResultsByDate/",
			data: JSON.stringify(sendObject),
            success: function (data)
            {
                GenerateEventResultTable(data);
            }
        });
    }
    
}


$(document).delegate('.eventClick', 'click', function()
{
    var thisEvent = $(this).attr('id');
    //var eventRows = new Array();

    if(thisEvent.indexOf('CR') > 0)
    {
    	//eventRows = $('#crTableSortable').find('tr');
    	filterType = 'CR';
    }
    else
    {
    //	eventRows = $("#wpTableSortable").find('tr');
    	filterType = 'WP';
    }

    thisEvent = $(this).text();

    var tempIndex = selectedEvents.indexOf(thisEvent);
	if(tempIndex == -1)
	{
		selectedEvents.push(thisEvent);
		$(this).addClass('active');
	}
	else
	{
	 	selectedEvents.splice(tempIndex, 1);
	 	$(this).removeClass('active');
	}

    FilterRows();

    // for(var i = 1; i<eventRows.length; i++)
    // {
    //     var currentRow = $(eventRows[i]);
        
    //     if(currentRow.find('.eventName').text() != thisEvent)
    //     {
    //         currentRow.css('display','none');
    //     }
    //     else
    //     {
    //         currentRow.css('display','table-row');
    //     }

    //     // show the header row
    //     if (currentRow.find('#headerrow').text() == 'Age') 
    //     {
    //         currentRow.css('display', 'table-row');
    //     }
    // }
})

$(document).delegate('.ageClick','click',function()
{
	var thisAge = $(this).attr('id');

	//var eventRows = new Array();

	if(thisAge.indexOf('WP') >= 0)
	{
		//eventRows = $('#wpTableSortable').find('tr');
		filterType = 'WP';
	}
	else
	{
		// eventRows = $('#crTableSortable').find('tr');
		// $('#crTableSortable').find('tr').hide();
		filterType = 'CR';
	}

	thisAge = $(this).text();

	var tempIndex = selectedAges.indexOf(thisAge * 1);
	if(tempIndex == -1)
	{
		selectedAges.push(thisAge * 1);
		$(this).addClass('active');
	}
	else
	{
	 	selectedAges.splice(tempIndex, 1);
	 	$(this).removeClass('active');
	}

	//logger(selectedAges);
	FilterRows();

	// for(var j = 0; j < selectedAges.length; j++)
	// {
	// 	for(var i = 1; i<eventRows.length; i++)
	// 	{
	// 		var currentRow = $(eventRows[i]);
	// 		var currentAge = currentRow.find('.eventAge').text();

	// 		if(currentAge.indexOf('/') > 0)
	// 		{
	// 			currentAge = currentAge.split('/')[0];
	// 		}

	// 		if(currentAge == selectedAges[j])
	// 		{
	// 			currentRow.css('display','table-row')
	// 		}
	// 		else
	// 		{
	// 			//currentRow.css('display','none');
	// 		}
	// 	}
	// }
})

$(document).delegate('.genderFilter', 'click', function()
{
	var thisGender = $(this).attr('id');
	var gender = 'M';
	if(thisGender.indexOf('F')>=0)
	{
		gender = 'F';
	}

	//var eventRows = new Array();

	if(thisGender.indexOf('WP')>=0)
	{
		//eventRows = $('#wpTableSortable').find('tr');
		filterType = 'WP';
	}
	else
	{
		//eventRows = $('#crTableSortable').find('tr');
		filterType = 'CR';
	}

	var tempIndex = selectedGenders.indexOf(gender);
	if(tempIndex == -1)
	{
		selectedGenders.push(gender);
		$(this).addClass('active');
	}
	else
	{
	 	selectedGenders.splice(tempIndex, 1);
	 	$(this).removeClass('active');
	}

	FilterRows();

	// for(var i = 1; i<eventRows.length; i++)
	// {
	// 	var currentRow = $(eventRows[i]);

	// 	if(currentRow.find('.eventGender').text().indexOf(gender)>=0)
	// 	{
	// 		currentRow.css('display','table-row')
	// 	}
	// 	else
	// 	{
	// 		currentRow.css('display','none');
	// 	}
	// }
})

$(document).delegate('.resetButton','click',function()
{
	var resetTable = $(this).attr('id');
	var eventRows = new Array();

	selectedAges = new Array();
	selectedGenders = new Array();
	selectedEvents = new Array();

	if(resetTable.indexOf('wp')>=0)
	{
		eventRows = $('#wpTableSortable').find('tr');
	}
	else
	{
		eventRows = $('#crTableSortable').find('tr');
	}
	
	for(var i = 0; i<eventRows.length; i++)
	{
		var currentRow = $(eventRows[i]);
		currentRow.css('display','table-row');
	}

	var ageButtons = $(document).find('.ageClick, .btnAge');
	var genderButtons = $(document).find('.genderFilter, .btnGender');
	var eventButtons = $(document).find('.eventClick, .btnEvent');

	for(var i = 0; i<ageButtons.length; i++)
	{
		$(ageButtons[i]).removeClass('active');
	}
	
	for(var i = 0; i<genderButtons.length; i++)
	{
		$(genderButtons[i]).removeClass('active');
	}

	for(var i = 0; i<eventButtons.length; i++)
	{
		$(eventButtons[i]).removeClass('active');
	}
});


$(document).delegate('.btnEvent', 'click', function (event)
{
    checkSelected(event);
    getSelected($(this).attr('class'));
})

$(document).delegate('#ddlCentreDateList', 'change', function (event)
{
    var btnList = $(document).find('.btn');
    for (var i = 0; i < btnList.length; i++)
    {
        if ($(btnList[i]).hasClass('active'))
        {
            $(btnList[i]).removeClass('active');
        }
    }
    jQuery("#eventHolder").html("");
    jQuery("#eventResultsHolder").html("");
})

function FilterRows()
{
	var eventRows = new Array();
	if(filterType == 'CR')
	{
		eventRows = $('#crTableSortable').find('tr');
		$('#crTableSortable').find('tr').hide();
	}
	else
	{
		eventRows = $('#wpTableSortable').find('tr');
		$('#wpTableSortable').find('tr').hide();
	}
	
	$(eventRows[0]).show();

	var hasEvents = selectedEvents.length > 0;
	var hasAges = selectedAges.length > 0;
	var hasGenders = selectedGenders.length > 0;

	if(hasEvents)
	{
		//loop event/age/genders
		for(var i = 1; i< eventRows.length; i++)
		{
			var currentRow = $(eventRows[i]);
			for(var j = 0; j<selectedEvents.length; j++)
			{
				if(currentRow.find('.eventName').text() == selectedEvents[j])
				{
					var currentAge = currentRow.find('.eventAge').text();
					var currentGender = currentAge.split('/')[1];
					currentAge = currentAge.split('/')[0];

					if(hasAges)
					{
						for(var k = 0; k<selectedAges.length; k++)
						{
							if(currentAge * 1 == selectedAges[k])
							{
								if(hasGenders)
								{
									for(var l = 0; l < selectedGenders.length; l++)
									{
										if(currentGender == selectedGenders[l])
										{
											currentRow.show();
										}
									}
								}
								else
								{
									currentRow.show();
								}
							}
						}			
					}
					else if(hasGenders && !hasAges)
					{
						for(var l = 0; l < selectedGenders.length; l++)
						{
							if(currentGender == selectedGenders[l])
							{
								currentRow.show();
							}
						}
					}
					else
					{
						currentRow.show();
					}
				}
			}
		}
	}
	else if(hasAges && !hasEvents)
	{
		//logger('has ages, no events');
		//loop age/gender
		for(var i = 1; i< eventRows.length; i++)
		{
			var currentRow = $(eventRows[i]);
			 currentAge = currentRow.find('.eventAge').text();
			var currentGender = currentAge.split('/')[1];
			currentAge = currentAge.split('/')[0];

			if(hasAges)
			{
				for(var k = 0; k<selectedAges.length; k++)
				{
					if(currentAge * 1 == selectedAges[k])
					{
						if(hasGenders)
						{
							for(var l = 0; l < selectedGenders.length; l++)
							{
								if(currentGender == selectedGenders[l])
								{
									currentRow.show();
								}
							}
						}
						else
						{
							currentRow.show();
						}
					}
				}			
			}
		}
	}
	else if(hasGenders && (!hasAges && !hasEvents))
	{
		logger('has genders, no events, no ages');
		for(var i = 1; i< eventRows.length; i++)
		{
			var currentRow = $(eventRows[i]);
			 currentAge = currentRow.find('.eventAge').text();
			var currentGender = currentAge.split('/')[1];
			currentAge = currentAge.split('/')[0];
			if(hasGenders)
			{
				for(var l = 0; l < selectedGenders.length; l++)
				{
					if(currentGender == selectedGenders[l])
					{
						currentRow.show();
					}
				}
			}
		}
		//loop genders
	}
	else
	{
		for(var i = 1; i< eventRows.length; i++)
		{
			var currentRow = $(eventRows[i]);
			currentRow.show();
		}
	}

	// logger(selectedEvents);
	// logger(selectedAges);
	// logger(selectedGenders);
}

function logger(msg)
{
	try
	{
		console.log(msg);
	}
	catch(e){}
}